*{
    margin: 0;
    padding: 0;
    font-family: "Ubuntu", sans-serif;
}

body{
    background: linear-gradient(to right, rgb(76, 194, 76), rgb(142, 211, 15));
    display: flex;
    justify-content: center;
    align-items: center;
    height: 100vh;
}
h1{
    text-align: center;
    text-decoration: underline;
}

.hide{
    display: none;
}

.container{
    background-color: rgb(126, 107, 179);
    box-shadow: black 1px 3px 8px;
    padding: 2rem;
    color: rgb(17, 16, 16);
    border-radius: 10px;
}

.form h3{
    margin-bottom: 1rem;
}

.form-input-container{
    display:flex;
}

.form input{
    padding: 0.8rem;
    border: none;
    flex: 1;
    border-radius: 6px;
}

.form button{
    padding: 0.8rem;
    min-width: 50px;
    border-radius: 8px;
    margin-left: 8px;
    background-color: blue;
    color: white;
    border: none;
    cursor: pointer;
}

:hover > button#search {
    background-color: rgb(115, 206, 112);
    color: black;
}

#weather-data{
    border-top: 2px solid black;
    margin-top: 1.5rem;
    padding-top: 1.5rem;
    text-align: center;
}

#weather-data h2{
    display: flex;
    justify-content: center;
    align-items: center;
    margin-bottom: 0.6rem;
}

#weather-data h2 i{
    font-size: 1rem;
}

#weather-data span{
    margin: 0.6rem;
}

#country{
    height: 30px;
}

#description-container{
    display: flex;
    justify-content: center;
    align-items: center;
    margin: 0.6rem 0;
}

#description{
    font-weight: bold;
    text-transform: capitalize;
}

#details-container{
    display: flex;
    justify-content: center;
    align-items: center;
}

#details-container #humidity{
    border-right: 2px solid black;
    margin: 0.6rem;
    padding: 0.6rem;
}

#rodape{
    text-align: center;
    margin-top: 10px;
    padding: 10px;
}